package com.flyer.foster.controller.app;

import cn.dev33.satoken.annotation.SaCheckLogin;
import com.flyer.foster.dto.AppUserQueryDTO;
import com.flyer.foster.service.IAppUserService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 小程序用户
 *
 * @author flyer
 * @since 2024-05-09
 */
@SaCheckLogin
@RestController
@RequestMapping("/app-user")
public class AppUserController {
    @Autowired
    private IAppUserService iAppUserService;

    @RequestMapping("/login")
    public R login(@RequestBody AppUserQueryDTO dto, @RequestHeader("appId") String appId) {
        return R.ok().result(iAppUserService.login(dto, appId));
    }
}
